<template>
  <div class="message d-flex align-items-start" :class="{'me':isSent}" :id="'message'+message.id">
    <messagePicture :isSent="isSent" :message="message"></messagePicture>
    <div class="message-actions mr-2" v-if="isSent">
      <i class="fas fa-reply text-muted" v-show="message.created_at == null"></i>
    </div>
    <!-- 
    <div class="text-main" >
    <div class="text-group" >-->
    <div class="d-flex flex-column">
      <messageHead :isSent="isSent" :message="message"></messageHead>

      <div class="text text-muted shadow-sm" :class="{'me':isSent}">
        <span :class="{'text-white':isSent}" class="text-content">{{content.text}}</span>
        <small :class="{'text-white':isSent,'float-right':isSent}">
          <template v-if="isSent">
            <i class="fas fa-clock" v-show="message.created_at == null"></i>
            <i class="fas fa-check" v-show="message.created_at != null"></i>
          </template>
          {{formatDate(message.created_at,"LT")}}
        </small>
      </div>
    </div>
    <!-- </div> -->
    <!-- </div> -->
  </div>
</template>

<script>
import chatMixin from "@/mixins/ChatMixin";
import MessagePicture from "../elements/MessagePicture";
import MessageHead from "../elements/MessageHead";
export default {
  mixins: [chatMixin],
  components: {
    MessagePicture,
    MessageHead
  }
};
</script>
<style scoped lang="scss">
.text-content {
  white-space: pre-line;
}
.chat-content {
  overflow-y: scroll !important;
}
.message-actions {
  display: none;
  cursor: pointer;
}
.message:hover {
  .message-actions {
    display: block;
  }
}
</style>
